Changeset 2905 for ThirdParty/Blas


Ignore:
Timestamp:
Sep 12, 2013 6:03:17 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/configure

    r2886 r2905  
    10831083                          icl/link). Default when mentioned: mingw. Default
    10841084                          when not mentioned: disabled.
    1085 
    10861085  --disable-pkg-config    disable use of pkg-config (if available)
    10871086  --enable-static[=PKGS]
     
    19231922echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19241923  fi
    1925 
    1926 
    1927 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1928 if test "${enable_static_standardlibs+set}" = set; then
    1929   enableval="$enable_static_standardlibs"
    1930   case "$enableval" in
    1931      no | yes | auto ) ;;
    1932      *)
    1933        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1934 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1935    { (exit 1); exit 1; }; } ;;
    1936    esac
    1937    use_static_standardlibs=$enableval
    1938 else
    1939   use_static_standardlibs=no
    1940 fi;
    1941 
    19421924
    19431925
     
    30793061    CFLAGS="$OPT_CFLAGS"
    30803062  fi
    3081 
    30823063else
    30833064  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32483229esac
    32493230
    3250 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3251 if test x$use_static_standardlibs != xno ; then
    3252   case $build in
    3253     *-mingw*)
    3254       static_standardlib_flag=-static
    3255       ;;
    3256     *)
    3257       static_standardlib_flag=-static-libgcc
    3258       ;;
    3259   esac
    3260   case " $LDFLAGS " in
    3261     *" $static_standardlib_flag "* ) ;;
    3262     *)
    3263     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3264 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3265     coin_save_LDFLAGS="$LDFLAGS"
    3266     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3267     cat >conftest.$ac_ext <<_ACEOF
    3268 /* confdefs.h.  */
    3269 _ACEOF
    3270 cat confdefs.h >>conftest.$ac_ext
    3271 cat >>conftest.$ac_ext <<_ACEOF
    3272 /* end confdefs.h.  */
    3273 
    3274 int
    3275 main ()
    3276 {
    3277 int i=0;
    3278   ;
    3279   return 0;
    3280 }
    3281 _ACEOF
    3282 rm -f conftest.$ac_objext conftest$ac_exeext
    3283 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3284   (eval $ac_link) 2>conftest.er1
    3285   ac_status=$?
    3286   grep -v '^ *+' conftest.er1 >conftest.err
    3287   rm -f conftest.er1
    3288   cat conftest.err >&5
    3289   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3290   (exit $ac_status); } &&
    3291          { ac_try='test -z "$ac_c_werror_flag"
    3292                          || test ! -s conftest.err'
    3293   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3294   (eval $ac_try) 2>&5
    3295   ac_status=$?
    3296   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3297   (exit $ac_status); }; } &&
    3298          { ac_try='test -s conftest$ac_exeext'
    3299   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3300   (eval $ac_try) 2>&5
    3301   ac_status=$?
    3302   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3303   (exit $ac_status); }; }; then
    3304   echo "$as_me:$LINENO: result: yes" >&5
    3305 echo "${ECHO_T}yes" >&6
    3306 else
    3307   echo "$as_me: failed program was:" >&5
    3308 sed 's/^/| /' conftest.$ac_ext >&5
    3309 
    3310 echo "$as_me:$LINENO: result: no" >&5
    3311 echo "${ECHO_T}no" >&6
    3312        LDFLAGS="$coin_save_LDFLAGS"
    3313        if test $use_static_standardlibs = yes ; then
    3314          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3315 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3316    { (exit 1); exit 1; }; }
    3317        fi
    3318 
    3319 fi
    3320 rm -f conftest.err conftest.$ac_objext \
    3321       conftest$ac_exeext conftest.$ac_ext
    3322     ;;
    3323   esac
    3324 fi
    3325 
    33263231ac_ext=c
    33273232ac_cpp='$CPP $CPPFLAGS'
     
    33443249  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    33453250 esac
    3346 
    33473251
    33483252
     
    35603464
    35613465# Provide some information about the compiler.
    3562 echo "$as_me:3562:" \
     3466echo "$as_me:3466:" \
    35633467     "checking for Fortran 77 compiler version" >&5
    35643468ac_compiler=`set X $ac_compile; echo $2`
     
    39373841    FFLAGS="$OPT_FFLAGS"
    39383842  fi
    3939 
    39403843else
    39413844  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    40803983esac
    40813984
    4082 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4083 if test x$use_static_standardlibs != xno ; then
    4084   case $build in
    4085     *-mingw*)
    4086       static_standardlib_flag=-static
    4087       ;;
    4088     *)
    4089       static_standardlib_flag=-static-libgfortran
    4090       ;;
    4091   esac
    4092   case " $LDFLAGS " in
    4093     *" $static_standardlib_flag "* ) ;;
    4094     *)
    4095     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4096 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4097     coin_save_LDFLAGS="$LDFLAGS"
    4098     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4099     cat >conftest.$ac_ext <<_ACEOF
    4100       program main
    4101       integer i
    4102       end
    4103 _ACEOF
    4104 rm -f conftest.$ac_objext conftest$ac_exeext
    4105 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4106   (eval $ac_link) 2>conftest.er1
    4107   ac_status=$?
    4108   grep -v '^ *+' conftest.er1 >conftest.err
    4109   rm -f conftest.er1
    4110   cat conftest.err >&5
    4111   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4112   (exit $ac_status); } &&
    4113          { ac_try='test -z "$ac_f77_werror_flag"
    4114                          || test ! -s conftest.err'
    4115   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4116   (eval $ac_try) 2>&5
    4117   ac_status=$?
    4118   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4119   (exit $ac_status); }; } &&
    4120          { ac_try='test -s conftest$ac_exeext'
    4121   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4122   (eval $ac_try) 2>&5
    4123   ac_status=$?
    4124   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4125   (exit $ac_status); }; }; then
    4126   echo "$as_me:$LINENO: result: yes" >&5
    4127 echo "${ECHO_T}yes" >&6
    4128 else
    4129   echo "$as_me: failed program was:" >&5
    4130 sed 's/^/| /' conftest.$ac_ext >&5
    4131 
    4132 echo "$as_me:$LINENO: result: no" >&5
    4133 echo "${ECHO_T}no" >&6
    4134        LDFLAGS="$coin_save_LDFLAGS"
    4135        if test $use_static_standardlibs = yes ; then
    4136          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4137 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4138    { (exit 1); exit 1; }; }
    4139        fi
    4140 
    4141 fi
    4142 rm -f conftest.err conftest.$ac_objext \
    4143       conftest$ac_exeext conftest.$ac_ext
    4144     ;;
    4145   esac
    4146 fi
    4147 
    41483985ac_ext=c
    41493986ac_cpp='$CPP $CPPFLAGS'
     
    42084045ac_save_FFLAGS=$FFLAGS
    42094046FFLAGS="$FFLAGS $ac_verb"
    4210 (eval echo $as_me:4210: \"$ac_link\") >&5
     4047(eval echo $as_me:4047: \"$ac_link\") >&5
    42114048ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42124049echo "$ac_f77_v_output" >&5
     
    42864123ac_save_FFLAGS=$FFLAGS
    42874124FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4288 (eval echo $as_me:4288: \"$ac_link\") >&5
     4125(eval echo $as_me:4125: \"$ac_link\") >&5
    42894126ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42904127echo "$ac_f77_v_output" >&5
     
    68966733*-*-irix6*)
    68976734  # Find out which ABI we are using.
    6898   echo '#line 6898 "configure"' > conftest.$ac_ext
     6735  echo '#line 6735 "configure"' > conftest.$ac_ext
    68996736  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    69006737  (eval $ac_compile) 2>&5
     
    93739210   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93749211   -e 's:$: $lt_compiler_flag:'`
    9375    (eval echo "\"\$as_me:9375: $lt_compile\"" >&5)
     9212   (eval echo "\"\$as_me:9212: $lt_compile\"" >&5)
    93769213   (eval "$lt_compile" 2>conftest.err)
    93779214   ac_status=$?
    93789215   cat conftest.err >&5
    9379    echo "$as_me:9379: \$? = $ac_status" >&5
     9216   echo "$as_me:9216: \$? = $ac_status" >&5
    93809217   if (exit $ac_status) && test -s "$ac_outfile"; then
    93819218     # The compiler can only warn and ignore the option if not recognized
     
    96419478   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96429479   -e 's:$: $lt_compiler_flag:'`
    9643    (eval echo "\"\$as_me:9643: $lt_compile\"" >&5)
     9480   (eval echo "\"\$as_me:9480: $lt_compile\"" >&5)
    96449481   (eval "$lt_compile" 2>conftest.err)
    96459482   ac_status=$?
    96469483   cat conftest.err >&5
    9647    echo "$as_me:9647: \$? = $ac_status" >&5
     9484   echo "$as_me:9484: \$? = $ac_status" >&5
    96489485   if (exit $ac_status) && test -s "$ac_outfile"; then
    96499486     # The compiler can only warn and ignore the option if not recognized
     
    97459582   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97469583   -e 's:$: $lt_compiler_flag:'`
    9747    (eval echo "\"\$as_me:9747: $lt_compile\"" >&5)
     9584   (eval echo "\"\$as_me:9584: $lt_compile\"" >&5)
    97489585   (eval "$lt_compile" 2>out/conftest.err)
    97499586   ac_status=$?
    97509587   cat out/conftest.err >&5
    9751    echo "$as_me:9751: \$? = $ac_status" >&5
     9588   echo "$as_me:9588: \$? = $ac_status" >&5
    97529589   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    97539590   then
     
    1216211999  lt_status=$lt_dlunknown
    1216312000  cat > conftest.$ac_ext <<EOF
    12164 #line 12164 "configure"
     12001#line 12001 "configure"
    1216512002#include "confdefs.h"
    1216612003
     
    1226212099  lt_status=$lt_dlunknown
    1226312100  cat > conftest.$ac_ext <<EOF
    12264 #line 12264 "configure"
     12101#line 12101 "configure"
    1226512102#include "confdefs.h"
    1226612103
     
    1462214459   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1462314460   -e 's:$: $lt_compiler_flag:'`
    14624    (eval echo "\"\$as_me:14624: $lt_compile\"" >&5)
     14461   (eval echo "\"\$as_me:14461: $lt_compile\"" >&5)
    1462514462   (eval "$lt_compile" 2>conftest.err)
    1462614463   ac_status=$?
    1462714464   cat conftest.err >&5
    14628    echo "$as_me:14628: \$? = $ac_status" >&5
     14465   echo "$as_me:14465: \$? = $ac_status" >&5
    1462914466   if (exit $ac_status) && test -s "$ac_outfile"; then
    1463014467     # The compiler can only warn and ignore the option if not recognized
     
    1472614563   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1472714564   -e 's:$: $lt_compiler_flag:'`
    14728    (eval echo "\"\$as_me:14728: $lt_compile\"" >&5)
     14565   (eval echo "\"\$as_me:14565: $lt_compile\"" >&5)
    1472914566   (eval "$lt_compile" 2>out/conftest.err)
    1473014567   ac_status=$?
    1473114568   cat out/conftest.err >&5
    14732    echo "$as_me:14732: \$? = $ac_status" >&5
     14569   echo "$as_me:14569: \$? = $ac_status" >&5
    1473314570   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1473414571   then
     
    1629616133   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1629716134   -e 's:$: $lt_compiler_flag:'`
    16298    (eval echo "\"\$as_me:16298: $lt_compile\"" >&5)
     16135   (eval echo "\"\$as_me:16135: $lt_compile\"" >&5)
    1629916136   (eval "$lt_compile" 2>conftest.err)
    1630016137   ac_status=$?
    1630116138   cat conftest.err >&5
    16302    echo "$as_me:16302: \$? = $ac_status" >&5
     16139   echo "$as_me:16139: \$? = $ac_status" >&5
    1630316140   if (exit $ac_status) && test -s "$ac_outfile"; then
    1630416141     # The compiler can only warn and ignore the option if not recognized
     
    1640016237   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1640116238   -e 's:$: $lt_compiler_flag:'`
    16402    (eval echo "\"\$as_me:16402: $lt_compile\"" >&5)
     16239   (eval echo "\"\$as_me:16239: $lt_compile\"" >&5)
    1640316240   (eval "$lt_compile" 2>out/conftest.err)
    1640416241   ac_status=$?
    1640516242   cat out/conftest.err >&5
    16406    echo "$as_me:16406: \$? = $ac_status" >&5
     16243   echo "$as_me:16243: \$? = $ac_status" >&5
    1640716244   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1640816245   then
     
    1860718444   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1860818445   -e 's:$: $lt_compiler_flag:'`
    18609    (eval echo "\"\$as_me:18609: $lt_compile\"" >&5)
     18446   (eval echo "\"\$as_me:18446: $lt_compile\"" >&5)
    1861018447   (eval "$lt_compile" 2>conftest.err)
    1861118448   ac_status=$?
    1861218449   cat conftest.err >&5
    18613    echo "$as_me:18613: \$? = $ac_status" >&5
     18450   echo "$as_me:18450: \$? = $ac_status" >&5
    1861418451   if (exit $ac_status) && test -s "$ac_outfile"; then
    1861518452     # The compiler can only warn and ignore the option if not recognized
     
    1887518712   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1887618713   -e 's:$: $lt_compiler_flag:'`
    18877    (eval echo "\"\$as_me:18877: $lt_compile\"" >&5)
     18714   (eval echo "\"\$as_me:18714: $lt_compile\"" >&5)
    1887818715   (eval "$lt_compile" 2>conftest.err)
    1887918716   ac_status=$?
    1888018717   cat conftest.err >&5
    18881    echo "$as_me:18881: \$? = $ac_status" >&5
     18718   echo "$as_me:18718: \$? = $ac_status" >&5
    1888218719   if (exit $ac_status) && test -s "$ac_outfile"; then
    1888318720     # The compiler can only warn and ignore the option if not recognized
     
    1897918816   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1898018817   -e 's:$: $lt_compiler_flag:'`
    18981    (eval echo "\"\$as_me:18981: $lt_compile\"" >&5)
     18818   (eval echo "\"\$as_me:18818: $lt_compile\"" >&5)
    1898218819   (eval "$lt_compile" 2>out/conftest.err)
    1898318820   ac_status=$?
    1898418821   cat out/conftest.err >&5
    18985    echo "$as_me:18985: \$? = $ac_status" >&5
     18822   echo "$as_me:18822: \$? = $ac_status" >&5
    1898618823   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1898718824   then
Note: See TracChangeset for help on using the changeset viewer.